// generated from rosidl_generator_c/resource/idl__description.c.em
// with input from nao_sensor_msgs:msg/Accelerometer.idl
// generated code does not contain a copyright notice

#include "nao_sensor_msgs/msg/detail/accelerometer__functions.h"

ROSIDL_GENERATOR_C_PUBLIC_nao_sensor_msgs
const rosidl_type_hash_t *
nao_sensor_msgs__msg__Accelerometer__get_type_hash(
  const rosidl_message_type_support_t * type_support)
{
  (void)type_support;
  static rosidl_type_hash_t hash = {1, {
      0x0d, 0x3c, 0xa0, 0x09, 0x48, 0xd4, 0x6f, 0xfa,
      0xc2, 0x23, 0x08, 0x75, 0xae, 0x46, 0x1a, 0x96,
      0x43, 0x94, 0xa8, 0x36, 0x5b, 0x56, 0xaf, 0xa8,
      0xf7, 0xa4, 0xa8, 0x0e, 0xc8, 0xa2, 0x15, 0xaa,
    }};
  return &hash;
}

#include <assert.h>
#include <string.h>

// Include directives for referenced types

// Hashes for external referenced types
#ifndef NDEBUG
#endif

static char nao_sensor_msgs__msg__Accelerometer__TYPE_NAME[] = "nao_sensor_msgs/msg/Accelerometer";

// Define type names, field names, and default values
static char nao_sensor_msgs__msg__Accelerometer__FIELD_NAME__x[] = "x";
static char nao_sensor_msgs__msg__Accelerometer__FIELD_NAME__y[] = "y";
static char nao_sensor_msgs__msg__Accelerometer__FIELD_NAME__z[] = "z";

static rosidl_runtime_c__type_description__Field nao_sensor_msgs__msg__Accelerometer__FIELDS[] = {
  {
    {nao_sensor_msgs__msg__Accelerometer__FIELD_NAME__x, 1, 1},
    {
      rosidl_runtime_c__type_description__FieldType__FIELD_TYPE_FLOAT,
      0,
      0,
      {NULL, 0, 0},
    },
    {NULL, 0, 0},
  },
  {
    {nao_sensor_msgs__msg__Accelerometer__FIELD_NAME__y, 1, 1},
    {
      rosidl_runtime_c__type_description__FieldType__FIELD_TYPE_FLOAT,
      0,
      0,
      {NULL, 0, 0},
    },
    {NULL, 0, 0},
  },
  {
    {nao_sensor_msgs__msg__Accelerometer__FIELD_NAME__z, 1, 1},
    {
      rosidl_runtime_c__type_description__FieldType__FIELD_TYPE_FLOAT,
      0,
      0,
      {NULL, 0, 0},
    },
    {NULL, 0, 0},
  },
};

const rosidl_runtime_c__type_description__TypeDescription *
nao_sensor_msgs__msg__Accelerometer__get_type_description(
  const rosidl_message_type_support_t * type_support)
{
  (void)type_support;
  static bool constructed = false;
  static const rosidl_runtime_c__type_description__TypeDescription description = {
    {
      {nao_sensor_msgs__msg__Accelerometer__TYPE_NAME, 33, 33},
      {nao_sensor_msgs__msg__Accelerometer__FIELDS, 3, 3},
    },
    {NULL, 0, 0},
  };
  if (!constructed) {
    constructed = true;
  }
  return &description;
}

static char toplevel_type_raw_source[] =
  "# Holds Accelerometer information for a NAO V6\n"
  "# Units are in m/s^2\n"
  "# Follows conventions here: http://doc.aldebaran.com/2-1/family/robots/inertial_robot.html\n"
  "# Note that gravity is measured by an accelerometer.\n"
  "# When standing, the robot will measure 9.8m/s^2 POSITIVE in the z-direction, since its \n"
  "# receiving an acceleration upwards from the floor when compared to a freefall state.\n"
  "\n"
  "# x is moving forwards / backwards (from robots perspective)\n"
  "# - Forwards is positive\n"
  "# - Backwards is negative\n"
  "float32 x\n"
  "\n"
  "# y is moving left / right (from robot's perspective)\n"
  "# - Left is positive\n"
  "# - Right is negative\n"
  "float32 y\n"
  "\n"
  "# z is moving up / down\n"
  "# - Standing straight is negative\n"
  "# - Upside down is positive\n"
  "float32 z";

static char msg_encoding[] = "msg";

// Define all individual source functions

const rosidl_runtime_c__type_description__TypeSource *
nao_sensor_msgs__msg__Accelerometer__get_individual_type_description_source(
  const rosidl_message_type_support_t * type_support)
{
  (void)type_support;
  static const rosidl_runtime_c__type_description__TypeSource source = {
    {nao_sensor_msgs__msg__Accelerometer__TYPE_NAME, 33, 33},
    {msg_encoding, 3, 3},
    {toplevel_type_raw_source, 714, 714},
  };
  return &source;
}

const rosidl_runtime_c__type_description__TypeSource__Sequence *
nao_sensor_msgs__msg__Accelerometer__get_type_description_sources(
  const rosidl_message_type_support_t * type_support)
{
  (void)type_support;
  static rosidl_runtime_c__type_description__TypeSource sources[1];
  static const rosidl_runtime_c__type_description__TypeSource__Sequence source_sequence = {sources, 1, 1};
  static bool constructed = false;
  if (!constructed) {
    sources[0] = *nao_sensor_msgs__msg__Accelerometer__get_individual_type_description_source(NULL),
    constructed = true;
  }
  return &source_sequence;
}
