// generated from rosidl_generator_c/resource/idl__description.c.em
// with input from nao_sensor_msgs:msg/Angle.idl
// generated code does not contain a copyright notice

#include "nao_sensor_msgs/msg/detail/angle__functions.h"

ROSIDL_GENERATOR_C_PUBLIC_nao_sensor_msgs
const rosidl_type_hash_t *
nao_sensor_msgs__msg__Angle__get_type_hash(
  const rosidl_message_type_support_t * type_support)
{
  (void)type_support;
  static rosidl_type_hash_t hash = {1, {
      0xe3, 0x93, 0xb8, 0x1e, 0xa8, 0xd9, 0x8a, 0x37,
      0xb7, 0x3d, 0x4f, 0xd2, 0x9d, 0x77, 0x17, 0x54,
      0x3f, 0x0a, 0x1d, 0x21, 0x5d, 0x8d, 0x79, 0x04,
      0x9f, 0xf0, 0xd8, 0xe3, 0xa2, 0xb2, 0xc1, 0x42,
    }};
  return &hash;
}

#include <assert.h>
#include <string.h>

// Include directives for referenced types

// Hashes for external referenced types
#ifndef NDEBUG
#endif

static char nao_sensor_msgs__msg__Angle__TYPE_NAME[] = "nao_sensor_msgs/msg/Angle";

// Define type names, field names, and default values
static char nao_sensor_msgs__msg__Angle__FIELD_NAME__x[] = "x";
static char nao_sensor_msgs__msg__Angle__FIELD_NAME__y[] = "y";

static rosidl_runtime_c__type_description__Field nao_sensor_msgs__msg__Angle__FIELDS[] = {
  {
    {nao_sensor_msgs__msg__Angle__FIELD_NAME__x, 1, 1},
    {
      rosidl_runtime_c__type_description__FieldType__FIELD_TYPE_FLOAT,
      0,
      0,
      {NULL, 0, 0},
    },
    {NULL, 0, 0},
  },
  {
    {nao_sensor_msgs__msg__Angle__FIELD_NAME__y, 1, 1},
    {
      rosidl_runtime_c__type_description__FieldType__FIELD_TYPE_FLOAT,
      0,
      0,
      {NULL, 0, 0},
    },
    {NULL, 0, 0},
  },
};

const rosidl_runtime_c__type_description__TypeDescription *
nao_sensor_msgs__msg__Angle__get_type_description(
  const rosidl_message_type_support_t * type_support)
{
  (void)type_support;
  static bool constructed = false;
  static const rosidl_runtime_c__type_description__TypeDescription description = {
    {
      {nao_sensor_msgs__msg__Angle__TYPE_NAME, 25, 25},
      {nao_sensor_msgs__msg__Angle__FIELDS, 2, 2},
    },
    {NULL, 0, 0},
  };
  if (!constructed) {
    constructed = true;
  }
  return &description;
}

static char toplevel_type_raw_source[] =
  "# Holds Angle information for a NAO V6\n"
  "# Units are in rad\n"
  "\n"
  "# x axis is rotating Nao left / right (vertical rotation)\n"
  "# - If Nao is facing towards you, rotating it to the left is positive\n"
  "# - Conversely, rotating it to the right is negative\n"
  "float32 x\n"
  "\n"
  "# y axis is rotating Nao back / forward\n"
  "# - Forward is positive angle\n"
  "# - Backwards is negative angle\n"
  "float32 y";

static char msg_encoding[] = "msg";

// Define all individual source functions

const rosidl_runtime_c__type_description__TypeSource *
nao_sensor_msgs__msg__Angle__get_individual_type_description_source(
  const rosidl_message_type_support_t * type_support)
{
  (void)type_support;
  static const rosidl_runtime_c__type_description__TypeSource source = {
    {nao_sensor_msgs__msg__Angle__TYPE_NAME, 25, 25},
    {msg_encoding, 3, 3},
    {toplevel_type_raw_source, 362, 362},
  };
  return &source;
}

const rosidl_runtime_c__type_description__TypeSource__Sequence *
nao_sensor_msgs__msg__Angle__get_type_description_sources(
  const rosidl_message_type_support_t * type_support)
{
  (void)type_support;
  static rosidl_runtime_c__type_description__TypeSource sources[1];
  static const rosidl_runtime_c__type_description__TypeSource__Sequence source_sequence = {sources, 1, 1};
  static bool constructed = false;
  if (!constructed) {
    sources[0] = *nao_sensor_msgs__msg__Angle__get_individual_type_description_source(NULL),
    constructed = true;
  }
  return &source_sequence;
}
